Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Had this error while installing yeoman and the installation just paused in the middle #3756

Closed
ghost opened this Issue Aug 6, 2013 · 5 comments

Comments

Projects
None yet
4 participants
@ghost

ghost commented Aug 6, 2013

This was the error:

npm ERR! tar.unpack untar error /home/siddhartha/tmp/npm-662-vl1vhH-o/1375780487487-0.28932849992997944/tmp.tgz
npm ERR! Error: unexpected eof
npm ERR!     at decorate (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/abstract.js:67:36)
npm ERR!     at Extract.Abstract.error (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/abstract.js:61:12)
npm ERR!     at Extract._streamEnd (/usr/local/lib/node_modules/npm/node_modules/tar/lib/extract.js:75:22)
npm ERR!     at BlockStream.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/tar/lib/parse.js:50:8)
npm ERR!     at BlockStream.EventEmitter.emit (events.js:92:17)
npm ERR!     at BlockStream._emitChunk (/usr/local/lib/node_modules/npm/node_modules/block-stream/block-stream.js:203:10)
npm ERR!     at BlockStream.resume (/usr/local/lib/node_modules/npm/node_modules/block-stream/block-stream.js:58:15)
npm ERR!     at Extract.Reader.resume (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/reader.js:252:34)
npm ERR!     at Entry.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/tar/lib/parse.js:256:8)
npm ERR!     at Entry.EventEmitter.emit (events.js:92:17)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.8.0-19-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-g" "yeoman"
npm ERR! cwd /home/siddhartha
npm ERR! node -v v0.10.15
npm ERR! npm -v 1.3.5
npm ERR! fstream_class Extract
npm ERR! fstream_stack Extract._streamEnd (/usr/local/lib/node_modules/npm/node_modules/tar/lib/extract.js:75:22)
npm ERR! fstream_stack BlockStream.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/tar/lib/parse.js:50:8)
npm ERR! fstream_stack BlockStream.EventEmitter.emit (events.js:92:17)
npm ERR! fstream_stack BlockStream._emitChunk (/usr/local/lib/node_modules/npm/node_modules/block-stream/block-stream.js:203:10)
npm ERR! fstream_stack BlockStream.resume (/usr/local/lib/node_modules/npm/node_modules/block-stream/block-stream.js:58:15)
npm ERR! fstream_stack Extract.Reader.resume (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/reader.js:252:34)
npm ERR! fstream_stack Entry.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/tar/lib/parse.js:256:8)
npm ERR! fstream_stack Entry.EventEmitter.emit (events.js:92:17)
@ghost

ghost commented Aug 9, 2013

Any answers?

Member

domenic commented Aug 12, 2013

Does this happen reproducibly for you? I cannot reproduce it on my system. It may be your internet connection cutting off in the middle or serving bad .tars, so I would try another internet connection.

I had same issue, error is a coming from a flaky Internet connection.

We encountered this symptom too, it was happening about 50% of the time for certain tgz files, and when we tried downloading the tgz independently, the file was always fine. I traced it down to a rare bug inside node-tar: isaacs/node-tar#32

Contributor

othiym23 commented Nov 27, 2014

Closing as resolved / abandoned. A huge amount of work has gone into finding and fixing race conditions inside npm that cause these problems, and I believe most of them have been fixed now. If you're still running into this issue, install the latest stable version of npm, and the problems should go away.

@othiym23 othiym23 closed this Nov 27, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment